org.rrd4j.graph

## Class BufferedImageWorker.Builder

- java.lang.Object
- - org.rrd4j.graph.BufferedImageWorker.Builder

- Enclosing class:
    BufferedImageWorker

      static class BufferedImageWorker.Builder
      extends Object

  Builder class for creating BufferedImageWorker instances with configurable parameters. Supports fluent API for setting image properties, writer, and output format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) BufferedImageWorker` | `build()`
    `BufferedImageWorker.Builder` | `setGdef(RrdGraphDef gdef)` Sets the graph definition for this worker.
    `BufferedImageWorker.Builder` | `setHeight(int height)` Sets the height of the image.
    `BufferedImageWorker.Builder` | `setImageWriteParam(ImageWriteParam imageWriteParam)` Sets the image write parameters for encoding.
    `BufferedImageWorker.Builder` | `setWidth(int width)` Sets the width of the image.
    `BufferedImageWorker.Builder` | `setWriter(ImageWriter writer)` Sets the image writer for encoding the image.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          Builder()

  - ### Method Detail

    - #### build

          BufferedImageWorker build()

    - #### setGdef

          public BufferedImageWorker.Builder setGdef(RrdGraphDef gdef)

      Sets the graph definition for this worker.
      Parameters:
        `gdef` - The RRD graph definition.
      Returns:
        This builder for method chaining.

    - #### setHeight

          public BufferedImageWorker.Builder setHeight(int height)

      Sets the height of the image.
      Parameters:
        `height` - The height in pixels.
      Returns:
        This builder for method chaining.

    - #### setImageWriteParam

          public BufferedImageWorker.Builder setImageWriteParam(ImageWriteParam imageWriteParam)

      Sets the image write parameters for encoding.
      Parameters:
        `imageWriteParam` - The image write parameters.
      Returns:
        This builder for method chaining.

    - #### setWidth

          public BufferedImageWorker.Builder setWidth(int width)

      Sets the width of the image.
      Parameters:
        `width` - The width in pixels.
      Returns:
        This builder for method chaining.

    - #### setWriter

          public BufferedImageWorker.Builder setWriter(ImageWriter writer)

      Sets the image writer for encoding the image.
      Parameters:
        `writer` - The image writer to use.
      Returns:
        This builder for method chaining.